BearSSL

Data Fields
br_sslrec_gcm_context Struct Reference

Context structure for processing records with GCM. More...

`#include <bearssl_ssl.h>`

## Data Fields
union {
const void * gen
const br_sslrec_in_gcm_class * in
const br_sslrec_out_gcm_class * out
} | vtable
| Pointer to vtable. More...

## Detailed Description

Context structure for processing records with GCM.

The same context structure is used for encrypting and decrypting.

The first field points to the vtable. The other fields are opaque and shall not be accessed directly.

## Field Documentation

## ◆ gen

const void* br_sslrec_gcm_context::gen

## ◆ in

const br_sslrec_in_gcm_class* br_sslrec_gcm_context::in

## ◆ out

const br_sslrec_out_gcm_class* br_sslrec_gcm_context::out

## ◆

union { ... } br_sslrec_gcm_context::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h